Developer docs menu

API reference / Custom fields

Custom fields API

9 endpoints. Scopes: Scalar360.custom-fields.READ, .CREATE, .UPDATE, .DELETE or .ALL. All calls need Authorization: Scalar360-oauthtoken <access_token> — see Authentication.

GET

List

/api/custom-fields

Scope: Scalar360.custom-fields.READ

ParameterInTypeRequired
entityTypequerystringYes
recordGidquerystring (uuid)No
includeInactivequeryboolean (default false)No
Example request
curl -X GET "https://api.scalar360.com/api/custom-fields" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Create

/api/custom-fields

Scope: Scalar360.custom-fields.CREATE

Body fieldTypeRequiredNotes
entityTypestringYesrequired
ownerGidstring (uuid)
fieldKeystringYesrequired
labelstringYesrequired
fieldTypeenum: TEXT | NUMBER | DATE | SELECT | PHONE | FILE
optionsstring
requiredboolean
displayOrderinteger
activeboolean
Example request
curl -X POST "https://api.scalar360.com/api/custom-fields" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"entityType":"string","fieldKey":"string","label":"string"}'
PUT

Update

/api/custom-fields/{gid}

Scope: Scalar360.custom-fields.UPDATE

ParameterInTypeRequired
gidpathstring (uuid)Yes
Body fieldTypeRequiredNotes
entityTypestringYesrequired
ownerGidstring (uuid)
fieldKeystringYesrequired
labelstringYesrequired
fieldTypeenum: TEXT | NUMBER | DATE | SELECT | PHONE | FILE
optionsstring
requiredboolean
displayOrderinteger
activeboolean
Example request
curl -X PUT "https://api.scalar360.com/api/custom-fields/{gid}" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"entityType":"string","ownerGid":"3f1c2b9e-7a1d-4c3e-9b2a-1e5f6a7b8c9d","fieldKey":"string","label":"string","fieldType":"TEXT","options":"string"}'
DELETE

Delete

/api/custom-fields/{gid}

Scope: Scalar360.custom-fields.DELETE

ParameterInTypeRequired
gidpathstring (uuid)Yes
Example request
curl -X DELETE "https://api.scalar360.com/api/custom-fields/{gid}" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
DELETE

Delete

/api/custom-fields/file

Scope: Scalar360.custom-fields.DELETE

ParameterInTypeRequired
urlquerystringYes
Example request
curl -X DELETE "https://api.scalar360.com/api/custom-fields/file" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Upload

/api/custom-fields/upload/{entity}/{gid}/{fieldKey}

Scope: Scalar360.custom-fields.CREATE

ParameterInTypeRequired
entitypathstringYes
gidpathstring (uuid)Yes
fieldKeypathstringYes

Request body: multipart/form-data with a file field.

Example request
curl -X POST "https://api.scalar360.com/api/custom-fields/upload/{entity}/{gid}/{fieldKey}" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -F "file=@/path/to/file"
GET

Get

/api/custom-fields/values/{entity}/{recordGid}

Scope: Scalar360.custom-fields.READ

ParameterInTypeRequired
entitypathstringYes
recordGidpathstring (uuid)Yes
Example request
curl -X GET "https://api.scalar360.com/api/custom-fields/values/{entity}/{recordGid}" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
PUT

Save

/api/custom-fields/values/{entity}/{recordGid}

Scope: Scalar360.custom-fields.UPDATE

ParameterInTypeRequired
entitypathstringYes
recordGidpathstring (uuid)Yes
Example request
curl -X PUT "https://api.scalar360.com/api/custom-fields/values/{entity}/{recordGid}" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'
POST

Batch

/api/custom-fields/values/{entity}/batch

Scope: Scalar360.custom-fields.CREATE

ParameterInTypeRequired
entitypathstringYes
Example request
curl -X POST "https://api.scalar360.com/api/custom-fields/values/{entity}/batch" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '["3f1c2b9e-7a1d-4c3e-9b2a-1e5f6a7b8c9d"]'